summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDongkyun Son <dongkyun.s@samsung.com>2019-08-01 11:25:32 +0000
committerGerrit Code Review <gerrit@review.ap-northeast-2.compute.internal>2019-08-01 11:25:32 +0000
commit5db6932f5f64e12daef09e156d98d1d52cfc1068 (patch)
tree55e6305e6f896174088d7555aa34806fd43ccd40
parent1234f9de1795dc35cbce6111c8ed477a00c05a74 (diff)
parentb976b009e225d0f9856d76e6b48250de0d81b6f9 (diff)
downloadrpm-5db6932f5f64e12daef09e156d98d1d52cfc1068.tar.gz
rpm-5db6932f5f64e12daef09e156d98d1d52cfc1068.tar.bz2
rpm-5db6932f5f64e12daef09e156d98d1d52cfc1068.zip
-rwxr-xr-x[-rw-r--r--]scripts/find-debuginfo.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/find-debuginfo.sh b/scripts/find-debuginfo.sh
index 97e052d94..e4fffe4b5 100644..100755
--- a/scripts/find-debuginfo.sh
+++ b/scripts/find-debuginfo.sh
@@ -139,8 +139,9 @@ strip_to_debug()
if [ "$STRIP_DEFAULT_PACKAGE" != "binutils" ]; then
eu-strip --remove-comment $g $strip_option -f "$1" "$2" || exit
else
- mv $2 $1
- strip --remove-section=.comment $g $strip_option -o "$2" "$1" || exit
+ cp "$2" "$1"
+ strip --remove-section=.comment $g $strip_option "$2" || exit
+ objcopy --add-gnu-debuglink="$1" "$2" || exit
fi
esac
chmod 444 "$1" || exit